# $Revision: 1.14 $, $Date: 2010/11/16 07:53:59 $
Summary:	Bitstream Type1 fonts
Summary(pl.UTF-8):	Fonty Type1 Bitstream
Name:		xorg-font-font-bitstream-type1
Version:	1.0.3
Release:	1
License:	MIT
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-bitstream-type1-%{version}.tar.bz2
# Source0-md5:	5e0c9895d69d2632e2170114f8283c11
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	fontconfig
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.3
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bitstream Charter and Courier fonts in Type1 format.

%description -l pl.UTF-8
Fonty Bitstream Charter i Courier w formacie Type1.

%prep
%setup -q -n font-bitstream-type1-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--build=%{_host} \
	--host=%{_host} \
	--with-fontdir=%{_fontsdir}/Type1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# separate *.afm
cd $RPM_BUILD_ROOT%{_fontsdir}/Type1
install -d afm
mv -f *.afm afm
sed -e '1d' fonts.scale > fonts.scale.bitstream
rm -f fonts.scale fonts.dir fonts.cache-1

cat > Fontmap.bitstream <<EOF
/Courier10PitchBT-Roman                  (c0419bt_.pfb) ;
/Courier10PitchBT-Italic                 (c0582bt_.pfb) ;
/Courier10PitchBT-Bold                   (c0583bt_.pfb) ;
/Courier10PitchBT-BoldItalic             (c0611bt_.pfb) ;
/CharterBT-Bold                          (c0632bt_.pfb) ;
/CharterBT-BoldItalic                    (c0633bt_.pfb) ;
/CharterBT-Roman                         (c0648bt_.pfb) ;
/CharterBT-Italic                        (c0649bt_.pfb) ;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_fontsdir}/Type1/c0*.pfb
%{_fontsdir}/Type1/afm/c0*.afm
%{_fontsdir}/Type1/fonts.scale.bitstream
%{_fontsdir}/Type1/Fontmap.bitstream

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-font-font-bitstream-type1.spec,v $
Revision 1.14  2010/11/16 07:53:59  qboosh
- updated to 1.0.3

Revision 1.13  2010/10/06 06:34:24  qboosh
- updated to 1.0.2

Revision 1.12  2009/10/17 22:32:06  qboosh
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version, BR: font-util
- added README to doc

Revision 1.11  2009/10/12 19:02:42  arekm
- up to 1.0.1

Revision 1.10  2007/10/21 14:18:49  megabajt
- BA: noarch
- release 2

Revision 1.9  2007/04/01 18:38:42  qboosh
- informative descs
- create .Fontmap file
- release 1

Revision 1.8  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.6  2006/01/03 14:57:29  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.5  2005/12/05 14:07:56  qboosh
- 0.99.1 (X11R7.0-RC3)
- use system fonts infrastructure

Revision 1.4  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.3  2005/08/27 18:42:17  qboosh
- cleanups, better Group; TODO: use PLD fonts infrastructure

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Tue Aug  9 2005 13:45:16  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
